Page MenuHomePhabricator

remove browser starter in xfce task bar
Closed, WontfixPublic

Description

On the left there are shortcuts:

  • xfce4-terminal
  • thunar
  • browser

If doable, browser should be removed on Whonix-Gateway.

Details

Impact
Normal

Event Timeline

Patrick triaged this task as Normal priority.Nov 17 2018, 9:26 AM
Patrick created this task.

I guess the only solution would be two separate packages of the desktop config for the gateway and the workstation. Maybe also some kind of postinst script which detects when it is run on the gateway and changes the xml. However, such a starter is also present on a default Xfce installation without a browser so it is more or less default behaviour.

That might work. Seems like a lot effort just to implement this.

Maybe there is a simpler solution... If possible...? Let's add this file to whonix-gw-kde-desktop-conf?

https://github.com/Whonix/whonix-gw-kde-desktop-conf

Let's pretend as if the -kde part in the package name does not exist. I.e. let's pretend the package name is whonix-gw-desktop-conf. Maybe we'll even rename that package some day.

That existing contents of the package can be kept. May still be useful for some users or eventual future maintainers. We can consider it a gateway / workstation specific desktop configuration package which is desktop environment agnostic. Support for other desktop environments might be added by future maintainers one day.

Algernon added a comment.EditedNov 18 2018, 11:53 AM

Seems like a lot effort just to implement this.

Indeed.

Let's add this file to whonix-gw-kde-desktop-conf?

Then you need to remove it from the whonix-xfce-desktop-config and create a new package with the right xml file just for the workstation. Afaik using the same file in multiple packages won't work.

Or we would need to merge all files into whonix-gw-kde-desktop-conf + the changed xml and use whonix-xfce-desktop-config with the browser shortcut just in the workstation. ( I'll give that a try) Alternative is to leave it as is or remove shortcut from gateway and workstation.

Seems like a lot effort just to implement this.

Indeed.

Let's add this file to whonix-gw-kde-desktop-conf?

Then you need to remove it from the whonix-xfce-desktop-config and create a new package with the right xml file just for the workstation.

Yes. We cannot have the same file in whonix-xfce-desktop-config and whonix-gw-kde-desktop-conf at the same time and install both packages at the same time.

Afaik using the same file in multiple packages won't work.

Mostly correct.

The same file can be in multiple package if these packages never get installed at the same time. For example the same file could be inside:

  • whonix-gw-kde-desktop-conf AND
  • whonix-ws-kde-desktop-conf

at the same time since it would be unsupported to have both packages installed at the same time.

Or we would need to merge all files into whonix-gw-kde-desktop-conf + the changed xml and use whonix-xfce-desktop-config with the browser shortcut just in the workstation.

Possible. However, sharing as much code as sensible inside whonix-xfce-desktop-config and use whonix-(gw|ws)-kde-desktop-conf only where required would be preferably.

Alternative is to leave it as is or remove shortcut from gateway and workstation.

Yes.

Possible. However, sharing as much code as sensible inside whonix-xfce-desktop-config and use whonix-(gw|ws)-kde-desktop-conf only where required would be preferably.

Then we would have 3 packages (including security-misc 4) just for the desktop configuration showing only a minor difference on the desktop. Clicking the icon on the gateway even tells you to use the workstation. Therefore I'd opt for keep as is.

Patrick closed this task as Wontfix.Nov 19 2018, 12:57 PM
Patrick assigned this task to Algernon.